Skip to main content
Resolve a case
curl --request PUT \
  --url https://api.coralogix.com/mgmt/openapi/5/cases/resolved/v1/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "This case is not applicable."
}
'
{
  "case": {
    "createTime": "2025-09-22T10:30:00.000Z",
    "groupings": [
      {
        "key": "service",
        "value": "payments"
      }
    ],
    "id": "3f166e9f-3c88-4af2-b52e-138f339dab3e",
    "impactedEntities": [
      {
        "apmDatabase": {
          "name": "orders-db",
          "system": "postgresql"
        }
      }
    ],
    "labels": [
      {
        "key": "service",
        "value": "payments"
      }
    ],
    "title": "Database outage investigation",
    "acknowledgeTime": "2023-11-07T05:31:56Z",
    "aiSummary": "<string>",
    "assignee": {
      "userId": "3af152ee-9eaf-4803-87f1-23c5fb2fbaa0"
    },
    "caseIndicators": {
      "alertIndicators": [
        {
          "alertId": "f56645c5-9cd4-4b9f-961f-4f852d8835a0",
          "alertVersions": [
            "1eae3615-79e7-4b54-88e0-6a77def653bf",
            "2fbf4726-8af8-5c65-99f1-7b88ef764c0g"
          ],
          "latestAlertVersion": "1eae3615-79e7-4b54-88e0-6a77def653bf",
          "permutations": [
            {
              "permutation": {}
            }
          ],
          "triggerTime": "2025-09-22T10:30:00.000Z",
          "resolveTime": "2025-09-22T11:05:00.000Z",
          "suppression": {
            "activeSuppressionRules": {
              "suppressionRuleIds": [
                "1eae3615-79e7-4b54-88e0-6a77def653bf",
                "2fbf4726-8af8-5c65-99f1-7b88ef764c0e"
              ]
            },
            "suppressedTime": "2025-09-22T10:30:00.000Z"
          }
        }
      ],
      "prometheusAlertIndicators": [
        {
          "alertGroupId": "5d41402abc4b2a76b9719d911017c592",
          "alerts": [
            {
              "alertGroupId": "5d41402abc4b2a76b9719d911017c592",
              "alertName": "HighRequestLatency",
              "annotations": {},
              "createdAt": "2025-09-22T10:30:00.000Z",
              "fingerprint": "a1b2c3d4e5f6a7b8",
              "generatorUrl": "https://prometheus.example.com/graph?g0.expr=...",
              "labels": {},
              "status": {
                "resolved": {
                  "resolvedAt": "2025-09-22T11:05:00.000Z",
                  "triggeredAt": "2025-09-22T10:30:00.000Z"
                }
              },
              "updatedAt": "2025-09-22T11:05:00.000Z",
              "query": {
                "promql": "histogram_quantile(0.95, rate(http_request_duration_seconds_bucket[5m])) > 1"
              }
            }
          ],
          "externalUrl": "https://alertmanager.example.com",
          "groupLabels": {},
          "receivedAt": "2025-09-22T10:30:00.000Z",
          "receiver": "webhook-coralogix",
          "status": {
            "resolved": {
              "resolvedAt": "2025-09-22T11:05:00.000Z",
              "triggeredAt": "2025-09-22T10:30:00.000Z"
            }
          },
          "updatedAt": "2025-09-22T11:05:00.000Z"
        }
      ]
    },
    "duration": "",
    "kpiBreaches": {
      "breachedKpis": [
        {
          "breachedAt": "2025-09-22T11:00:00.000Z",
          "createdAt": "2025-09-22T11:00:00.000Z",
          "id": "3f166e9f-3c88-4af2-b52e-138f339dab3e"
        }
      ]
    },
    "priorityDetails": {},
    "readableId": "CASE-123",
    "resolutionDetails": {
      "reason": "Case was not applicable.",
      "resolveTime": "2025-09-22T11:15:00.000Z",
      "resolvedBy": {
        "apiKey": {}
      }
    },
    "updateTime": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.coralogix.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

ID of the case to resolve. Accepts either the case UUID (the id field on a case) or the readable identifier (the readable_id field, e.g. CASE-123).

Required string length: 1 - 64
Pattern: ^([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}|[A-Z]+-[0-9]+)$
Example:

"3f166e9f-3c88-4af2-b52e-138f339dab3e"

Body

application/json

Request to mark a case as resolved.

reason
string

Reason to resolve

Required string length: 1 - 500
Pattern: ^[\s\S]*$
Example:

"This case is not applicable."

Response

Response containing the case after it has been resolved.

case
Case · object
required

Represents a case within the Cases service.